- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault_code.h File Reference

axiom_soap_fault_code struct More...

`#include <axutil_env.h>`
`#include <axiom_soap_fault.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault_code | axiom_soap_fault_code_t
## Functions
AXIS2_EXTERN axiom_soap_fault_code_t * | axiom_soap_fault_code_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN axiom_soap_fault_code_t * | axiom_soap_fault_code_create_with_parent_value (const axutil_env_t *env, axiom_soap_fault_t *fault, axis2_char_t *value)
AXIS2_EXTERN void | axiom_soap_fault_code_free (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_sub_code * | axiom_soap_fault_code_get_sub_code (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_value * | axiom_soap_fault_code_get_value (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_code_get_base_node (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)

## Detailed Description

axiom_soap_fault_code struct